Page MenuHomePhabricator

Rename generic "Help" link in MediaWiki sidebar, as many wiki users do not understand it's only for a software called MediaWiki
Closed, ResolvedPublic

Description

Problem:

On a 3rd party MediaWiki installation, in the sidebar on the left, all [?] links by default point to the 3rd party website, except for the "Help" link which links to an external website, defined in
./languages/i18n/en.json: "helppage": "https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Contents",

The horribly generic name of the link makes some visitors of 3rd party wikis think it offers "Help" on the topic which is covered by the wiki (especially if it's some software), not on MediaWiki. They might neither know nor care that the website uses "MediaWiki".

Recent examples:

Proposed actions:

  1. Rename Help to Help on MediaWiki by default. Currently languages/i18n/qqq.json defines "help": "General text (noun) used in the sidebar (by default).\n\nSee also {{msg-mw|Helppage}} and {{msg-mw|Edithelp}}.\n\nSee also:\n* {{msg-mw|Help}}\n* {{msg-mw|Accesskey-n-help}}\n* {{msg-mw|Tooltip-n-help}}\n{{Identical|Help}}". And languages/i18n/en.json defines "help": "Help". So this will likely require a new, separate string.
  2. Potentially also edit https://www.mediawiki.org/wiki/Help:Contents to make clear that "ask a question" means "ask a question about the MediaWiki software". Because there is a world out there.

Event Timeline

Aklapper created this task.Nov 13 2018, 6:43 AM

[Only semi-related, but I'm not sure where else to put it...] I recently saw this question at /r/mediawiki on reddit: "(is it) possible to include the (Help Contents) section of the mediawiki for offline use?" They want a copy of "Help:Contents" manual locally on their wiki. Someone suggested they needed to use export/import, and they replied:

"I was looking for the editing help pages, the ones that show you how to format your wiki pages you create, such as font or links and tables, or whatever is new in 1.31.1. I was hoping it was included in the mediawiki, but it looks like it points to the website instead. I will look at exporting/importing pages, I have not done that before. ".

Aklapper updated the task description. (Show Details)Nov 26 2018, 1:39 AM

Change 476467 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[mediawiki/core@master] Clarify that the default Help link in the sidebar is about MediaWiki itself

https://gerrit.wikimedia.org/r/476467

Aklapper updated the task description. (Show Details)Dec 1 2018, 2:13 PM
Aklapper updated the task description. (Show Details)Dec 5 2018, 5:52 PM

Change 476467 merged by jenkins-bot:
[mediawiki/core@master] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/476467

@Aklapper @Jdforrester-WMF It might be good to check this in various browsers if feasible (browsershots.org?), or shorten the string (?!?), because on my system (Linux Mint, Firefox, DejaVu Sans typeface) the string Help about MediaWiki is 130px wide, contained in a column that is 131.2px wide. Any wider typeface is going to cause linewrap.

@Aklapper @Jdforrester-WMF It might be good to check this in various browsers if feasible (browsershots.org?), or shorten the string (?!?), because on my system (Linux Mint, Firefox, DejaVu Sans typeface) the string Help about MediaWiki is 130px wide, contained in a column that is 131.2px wide. Any wider typeface is going to cause linewrap.

Welcome to the life of German and Polish speakers.

Welcome to the life of German and Polish speakers.

Ah, right. >.< /me blushes for being En-centric.

Aklapper closed this task as Resolved.Dec 6 2018, 7:21 AM
Aklapper claimed this task.

Big thanks everyone! This got merged way faster than I had initially expected. Yay.

(I am fine with linewrap. I accept its mere existence. If software does not like linewrap then software needs fixing:

)

Aklapper updated the task description. (Show Details)Dec 6 2018, 8:20 AM

Change 480499 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[mediawiki/core@REL1_32] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/480499

Change 480500 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[mediawiki/core@REL1_31] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/480500

Change 480501 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[mediawiki/core@REL1_30] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/480501

Change 480502 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[mediawiki/core@REL1_27] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/480502

Change 480499 merged by jenkins-bot:
[mediawiki/core@REL1_32] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/480499

Change 480502 merged by jenkins-bot:
[mediawiki/core@REL1_27] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/480502

Change 480500 merged by jenkins-bot:
[mediawiki/core@REL1_31] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/480500

Change 480501 merged by jenkins-bot:
[mediawiki/core@REL1_30] i18n: Clarify the default sidebar 'Help' link is about MediaWiki itself

https://gerrit.wikimedia.org/r/480501

Similar pattern, realized in https://www.mediawiki.org/wiki/Topic:Uqut8ffwxhxot448 : On Special:UserLogin, the text userlogin-helplink2 links to helplogin-url defined as https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Logging_in.
However https://www.mediawiki.org/wiki/Help:Logging_in at least says "This is a generic help page for the MediaWiki software. Many MediaWiki-powered wikis have a help link that points to this page. If you came here from another wiki looking for help with logging in or creating an account, we are not able to help you. Return back to your wiki and try to find a forum, talk page or contact address where you can ask for help to the admin of the site."

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptNov 14 2019, 12:10 AM